# value

The keyword is a homonym. It is used to...

1. return a value compatible with the one declared in the signature when replying to a previously accepted procedure call. See the examples at the keyword reply.
2. store the value removed from the port queue. This usage occurs with the keywords getreply, receive, trigger and catch.
3. match the value returned by the reply operation against a template or expression. This usage occurs with the keyword getreply.

Related keywords:

- catch
- getreply
- receive
- reply
- trigger

### value...

BNF definition of value in sense 1.
BNF definition of value in sense 2.
BNF definition of value in sense 3.